JSSE13SocketFactory (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.net.jsse.JSSE13SocketFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net.jsse
Class JSSE13SocketFactory

    java.lang.Object
      org.apache.tomcat.util.net.ServerSocketFactory
          org.apache.tomcat.util.net.jsse.JSSESocketFactory
              org.apache.tomcat.util.net.jsse.JSSE13SocketFactory

All Implemented Interfaces:
  java.lang.Cloneable

public class JSSE13SocketFactory
extends JSSESocketFactory

SSL server socket factory. It _requires_ a valid RSA key and JSSE.

Author:
  Harish Prabandham, Costin Manolache, Stefan Freyr Stefansson, EKR -- renamed to JSSESocketFactory, Bill Barker

Field Summary
`protected boolean` | `clientAuth` Flag for client authentication

Fields inherited from class org.apache.tomcat.util.net.jsse.JSSESocketFactory
`enabledCiphers, initialized, sslProxy`

Fields inherited from class org.apache.tomcat.util.net.ServerSocketFactory
`attributes`

Constructor Summary
`JSSE13SocketFactory()`

Method Summary
`protected void` | `configureClientAuth(javax.net.ssl.SSLServerSocket socket)` Configure Client authentication for this version of JSSE.
`protected void` | `configureClientAuth(javax.net.ssl.SSLSocket socket)` Configure Client authentication for this version of JSSE.
`protected java.lang.String[]` | `getEnabledProtocols(javax.net.ssl.SSLServerSocket socket, java.lang.String requestedProtocols)`
`protected void` | `setEnabledProtocols(javax.net.ssl.SSLServerSocket socket, java.lang.String[] protocols)` Set the SSL protocol variants to be enabled.

Methods inherited from class org.apache.tomcat.util.net.jsse.JSSESocketFactory
`acceptSocket, createSocket, createSocket, createSocket, getEnabledCiphers, getKeystore, getKeystorePassword, getTrustStore, handshake`

Methods inherited from class org.apache.tomcat.util.net.ServerSocketFactory
`getDefault, initSocket, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clientAuth

    protected boolean clientAuth

  Flag for client authentication

Constructor Detail

### JSSE13SocketFactory

    public JSSE13SocketFactory()

Method Detail

### getEnabledProtocols

    protected java.lang.String[] getEnabledProtocols(javax.net.ssl.SSLServerSocket socket,
                                                     java.lang.String requestedProtocols)

  Specified by:
    `getEnabledProtocols` in class `JSSESocketFactory`

### setEnabledProtocols

    protected void setEnabledProtocols(javax.net.ssl.SSLServerSocket socket,
                                       java.lang.String[] protocols)

  Description copied from class: `JSSESocketFactory`
  Set the SSL protocol variants to be enabled.

  Specified by:
    `setEnabledProtocols` in class `JSSESocketFactory`
  Parameters:
    `socket` - the SSLServerSocket.
    `protocols` - the protocols to use.

### configureClientAuth

    protected void configureClientAuth(javax.net.ssl.SSLServerSocket socket)

  Description copied from class: `JSSESocketFactory`
  Configure Client authentication for this version of JSSE. The JSSE included in Java 1.4 supports the 'want' value. Prior versions of JSSE will treat 'want' as 'false'.

  Specified by:
    `configureClientAuth` in class `JSSESocketFactory`
  Parameters:
    `socket` - the SSLServerSocket

### configureClientAuth

    protected void configureClientAuth(javax.net.ssl.SSLSocket socket)

  Description copied from class: `JSSESocketFactory`
  Configure Client authentication for this version of JSSE. The JSSE included in Java 1.4 supports the 'want' value. Prior versions of JSSE will treat 'want' as 'false'.

  Specified by:
    `configureClientAuth` in class `JSSESocketFactory`
  Parameters:
    `socket` - the SSLSocket

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.